# My Music Library

My Music Library est une application Web permettant de lister votre collection de CD ou vinyles.

## Prérequis

Pour fonctionner vous devez avoir `docker` d'installer sur votre serveur.

## Installation

### Préparer la terre

Après avoir cloné le projet il faudra créer un fichier d'environnement nommé `.env` et situé à la racine de projet.

Contenu du fichier :
```
NODE_ENV=development
DISCOGS_TOKEN=***
```

Pour obtenir un token Discogs vous devez simplement vous inscrire sur [Discogs](https://www.discogs.com). Une fois connecté à votre espace Discogs vous pourrez obtenir un token en allant dans le sous-menu [Développeur](https://www.discogs.com/settings/developers).

### Semer

Vous pouvez maintenant simplement lancer la commande suivante afin de démarrer le projet en tant que service :

```
docker-compose up -d
```

### Pailler

Une fois le serveur démarré vous pourrez accéder à l'interface web via [http://127.0.0.1:3001](http://127.0.0.1:3001). (ou tout autre port si vous avez défini `PORT` dans le fichier `.env`).
